package com.hzjt.domain;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public class Alarm {
    private String type;
    private String id;
    private String video_id;
    private String ts;
    private String incident_type;
    private List<String> img_urls;
    private String video_record_url;
    private Map<String, BigDecimal> obj_location;
    private List<String> img_base64;
    private String dept;
    private String objLabel;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getVideo_id() {
        return video_id;
    }

    public void setVideo_id(String video_id) {
        this.video_id = video_id;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getIncident_type() {
        return incident_type;
    }

    public void setIncident_type(String incident_type) {
        this.incident_type = incident_type;
    }

    public List<String> getImg_urls() {
        return img_urls;
    }

    public void setImg_urls(List<String> img_urls) {
        this.img_urls = img_urls;
    }

    public String getVideo_record_url() {
        return video_record_url;
    }

    public void setVideo_record_url(String video_record_url) {
        this.video_record_url = video_record_url;
    }

    public Map<String, BigDecimal> getObj_location() {
        return obj_location;
    }

    public void setObj_location(Map<String, BigDecimal> obj_location) {
        this.obj_location = obj_location;
    }

    public List<String> getImg_base64() {
        return img_base64;
    }

    public void setImg_base64(List<String> img_base64) {
        this.img_base64 = img_base64;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getObjLabel() {
        return objLabel;
    }

    public void setObjLabel(String objLabel) {
        this.objLabel = objLabel;
    }
}
